#ifndef __LPSOLVE_H
#define __LPSOLVE_H
#include <giac/config.h>
#include <giac/gen.h>
#include <giac/unary.h>

#ifndef NO_NAMESPACE_GIAC
namespace giac {
#endif // ndef NO_NAMESPACE_GIAC

#define LP_AFFINE_SCALING_BETA 0.997

enum { // more option keywords
    _LP_NODE_LIMIT = 116,             // lp_nodelimit
    _LP_INTEGER_TOLERANCE = 117,      // lp_integertolerance
    _LP_METHOD = 118,                 // lp_method
    _LP_SIMPLEX = 119,                // lp_simplex
    _LP_INTERIOR_POINT = 120,         // lp_interiorpoint
    _LP_INITIAL_POINT = 121           // lp_initialpoint
};

gen _lpsolve(const gen & args,GIAC_CONTEXT);

extern const unary_function_ptr * const  at_lpsolve;

#ifndef NO_NAMESPACE_GIAC
} // namespace giac
#endif // ndef NO_NAMESPACE_GIAC
#endif // __LPSOLVE_H
